Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleHintReturnMask

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleHintReturn
                  com.trolltech.qt.gui.QStyleHintReturnMask

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleHintReturnMask

extends QStyleHintReturn

The `QStyleHintReturnMask` class provides style hints that return a `QRegion`.

Nested Class Summary
`static class` | `QStyleHintReturnMask.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleHintReturn` subclass.
`static class` | `QStyleHintReturnMask.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleHintReturn` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleHintReturn
`QStyleHintReturn.HintReturnType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QStyleHintReturnMask()` Constructs a `QStyleHintReturnMask`.

Method Summary
`static QStyleHintReturnMask` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleHintReturnMask instance pointed to by nativePointer
`QRegion` | `region()` Returns the region for style hints that return a `QRegion`.
`void` | `setRegion(QRegion region)` Sets the region for style hints that return a `QRegion` to `region`.

Methods inherited from class com.trolltech.qt.gui.QStyleHintReturn
`setType, setVersion, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleHintReturnMask

    public QStyleHintReturnMask()

  Constructs a `QStyleHintReturnMask`. The member variables are initialized to default values.

Method Detail

### setRegion

    public final void setRegion(QRegion region)

  Sets the region for style hints that return a `QRegion` to `region`.

  See Also:
    `region`

### region

    public final QRegion region()

  Returns the region for style hints that return a `QRegion`.

  See Also:
    `setRegion`

### fromNativePointer

    public static QStyleHintReturnMask fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleHintReturnMask instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD